# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_CompSolid Class Reference

`#include <PTopoDS_CompSolid.hxx>`

Inheritance diagram for PTopoDS_CompSolid:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_CompSolid ()
| PTopoDS_CompSolid (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_CompSolid::PTopoDS_CompSolid | ( |  | ) |

PTopoDS_CompSolid::PTopoDS_CompSolid | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_CompSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_HShape.

The documentation for this class was generated from the following file:

- PTopoDS_CompSolid.hxx